/**
 * Copyright (c) Facebook, Inc. and its affiliates. All Rights Reserved.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
/// <reference types="node" />

declare const _default: {
  deserialize: typeof deserialize;
  readFileSync: typeof readFileSync;
  serialize: typeof serialize;
  writeFileSync: typeof writeFileSync;
};
export default _default;

export declare function deserialize(buffer: Buffer): unknown;

declare type Path = string;

export declare function readFileSync(filePath: Path): unknown;

export declare function serialize(content: unknown): Buffer;

export declare function writeFileSync(filePath: Path, content: unknown): void;

export {};
